Subject: Re: Too Much Sun for Dave the Venus Fly Trap?
From: [email-masked] (David Orlovich)
Date: Thu, 30 Jun 1994 00:21:29 GMT
Newsgroups: bionet.plants

I looked up my books on Venus' Flytyrap culture and found the following info:

Donald Schnell says (in "Carnivorous Plants of the United States and Canada":
John F. Blair, Publisher, Winston Salem, NC) "When the plants are actively
growing, there should be abundant light, humidity, and moderate but warm
temperatures."

Adrian Slack says (in "Insect-eating Plants and How To Grow Them" (1986):
Alphabooks, Dorset, England) "The position is important, for it must be sunny.
Always choose a windowsill which receives plenty of sun..."

and he says in "Carnivorous Plants": AH and AW Reed, Sydney, 1981 "It likes
a sunny place when the inner surfaces of the traps often colour brilliantly
but it will grow in sunless places in a good light."

David Orlovich ([email-masked])